### Signal

# Clutter PanAction::pan

#### Declaration

    gboolean
    pan (
      ClutterPanAction* self,
      ClutterActor* actor,
      gboolean is_interpolated,
      gpointer user_data
    )

#### Description [src]

The signal is emitted to keep track of the motion during a pan gesture. `is_interpolated` is set to `TRUE` during the interpolation phase of the pan, after the drag has ended and the :interpolate property was set to `TRUE`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

`is_interpolated`

  Type: `gboolean`

  If the event is the result of interpolating the motion velocity at the end of the drag.

#### Return value

Type: `gboolean`

`TRUE` if the pan should continue, and `FALSE` if the pan should be cancelled.